package metaheuristicOptimization.examples.Rn;// start

import metaheuristicOptimization.IObjectiveFunction;

/** an ugly function to optimize */
// end
public class UglyFunction implements IObjectiveFunction<double[]> { // start
  /** create the ugly function */
  public UglyFunction() {
    super();
  }

  /** {@inheritDoc} */
  @Override
  // end
  public double compute(final double[] x) {
    double old, sum, d;

    old = x[x.length - 1];
    sum = 0d;
    for (double cur : x) {
      d = Math.exp(Math.cos(cur - old)) + Math.sin(old + cur) + cur;
      sum += (d * d);
      old = cur;
    }

    return sum;
  }
}
